| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | POST |
Dodanie notatki dla klienta w CRM.
https://your-system-name.thulium.com/api/customers/:id/notes
|
message
wymagany |
Treść notatki. |
|
user_login
opcjonalny |
Login agenta. |
| POST | https://your-system-name.thulium.com/api/customers/123/notes |
| Dane | {"message":"Notatka","user_login":"login_agenta"} |
<!-- pusty -->
<?php $data = '{"message":"Notatka","user_login":"login_agenta"}'; $request = curl_init('https://your-system-name.thulium.com/api/customers/123/notes'); curl_setopt($request, CURLOPT_HTTPHEADER, array( 'Content-Type: application/json; charset=utf-8', 'Content-Length: ' . mb_strlen($data) )); curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass'); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST'); curl_setopt($request, CURLOPT_POSTFIELDS, $data); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/customers/123/notes", "{\"message\":\"Notatka\",\"user_login\":\"login_agenta\"}"); System.out.println(response); } }
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"message":"Notatka","user_login":"login_agenta"}' "https://your-system-name.thulium.com/api/customers/123/notes"
echo '{"message":"Notatka","user_login":"login_agenta"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/customers/123/notes